Fetch AR aging report
curl --request GET \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/invoices/ar-aging \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/invoices/ar-aging"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/invoices/ar-aging', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "AR_Aging_Report",
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"as_of_date": "2023-11-07T05:31:56Z",
"customers": [
{
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_name": "<string>",
"current": [
{
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_name": "<string>",
"due_at": "2023-11-07T05:31:56Z",
"invoice_total": 123,
"outstanding_balance": 123
}
],
"buckets": [
{
"bucket_start_day": 123,
"bucket_end_day": 123,
"invoices": [
{
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_name": "<string>",
"due_at": "2023-11-07T05:31:56Z",
"invoice_total": 123,
"outstanding_balance": 123
}
]
}
],
"total_outstanding_balance": 123
}
],
"totals": {
"current_total": 123,
"bucket_totals": [
{
"bucket_start_day": 123,
"bucket_end_day": 123,
"total": 123
}
],
"grand_total": 123
}
}
}{
"description": "<string>",
"meta": {}
}A/R Reports
Fetch AR aging report
Returns an accounts receivable aging report showing outstanding invoices grouped by customer and aging buckets. This report helps track overdue payments and manage cash flow.
GET
/
v1
/
businesses
/
{businessId}
/
invoices
/
ar-aging
Fetch AR aging report
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business to fetch the AR aging report for.
Response
AR aging report retrieved successfully.
AR Aging report showing outstanding invoices grouped by customer and aging buckets.
Show child attributes
Show child attributes
⌘I